const axios = require("axios");

function getLatestReleaseTag() {
  const repoOwner = "insignia-live";
  const repoName = "setup-assistant-release";

  return axios
    .get(`https://api.github.com/repos/${repoOwner}/${repoName}/releases/latest`)
    .then((response) => response.data.tag_name)
    .catch((error) => {
      console.error("Error fetching latest release tag:", error.message);
      return "0.0.0"; // Return a default value in case of an error
    });
}

getLatestReleaseTag().then((latestReleaseTag) => {
  const targetReleaseTag = "2023-02-13-1223"; // Replace with your target release tag

  // Compare release tags as strings
  if (latestReleaseTag > targetReleaseTag) {
    console.log("This pipeline is run because the new release is newer than the one I have.");
  }
});
